Update project profile
curl --request PATCH \
--url https://spectrum.photon.codes/projects/{projectId}/profile \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>"
}
'import requests
url = "https://spectrum.photon.codes/projects/{projectId}/profile"
payload = {
"firstName": "<string>",
"lastName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({firstName: '<string>', lastName: '<string>'})
};
fetch('https://spectrum.photon.codes/projects/{projectId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"projectId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>"
}
}projects
Update project profile
Updates the supplied Project name fields and conditionally propagates the complete Profile to Lines that still match the old Project Profile.
PATCH
/
projects
/
{projectId}
/
profile
Update project profile
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Was this page helpful?
⌘I